# Please Note: 
# - In PHP Versions <= 7.4 MySQL8 is not supported due to lacking pdo support

# To determine the name of your containers
COMPOSE_PROJECT_NAME=s3web

# Proxy configurations
DEFAULT_HOST=s3lab.io
PROXY_DATA_DIR=./data/proxy
PROXY_CONFIG_DIR=./config/proxy

# Certificate configurations
CERT_EMAIL=chungkim@utdallas.edu

# Group website configurations
WWW_VIRTUAL_HOST=s3lab.io,www.s3lab.io
WWW_DOCUMENT_ROOT=../lasrweb
WWW_VHOSTS_DIR=./config/vhosts

# Course websites configurations
COURSES_VIRTUAL_HOST=courses.s3lab.io,crs.s3lab.io
COURSES_DOCUMENT_ROOT=../../courses/www

# DriveFuzz website configurations
DRIVEFUZZ_VIRTUAL_HOST=drivefuzz.s3lab.io
DRIVEFUZZ_DOCUMENT_ROOT=../../projects/drivefuzz

# Possible values: php74
PHPVERSION=php74
APACHE_LOG_DIR=./logs/apache2
PHP_INI=./config/php/php.ini

# Possible values: mariadb, mysql, mysql8
DATABASE=mysql
MYSQL_DATA_DIR=./data/mysql
MYSQL_CONFIG=./config/mysql/mysql.cnf
MYSQL_LOG_DIR=./logs/mysql

# Redis configurations
REDIS_DATA_DIR=./data/redis

# If you already have the port 80 in use, you can change it (for example if you have Apache)
HOST_MACHINE_HTTP_PORT=80
HOST_MACHINE_HTTPS_PORT=443

# If you already have the port 8080 in use, you can change it
HOST_MACHINE_PMA_PORT=8080

# MySQL root user password
MYSQL_ROOT_PASSWORD=pickarealpasswordplease

# Database settings: Username, password and database name
MYSQL_USER=admin
MYSQL_PASSWORD=pickarealpasswordplease
MYSQL_DATABASE=s3web
